Subject: spherical -> cartesian gaussians

From: Jim Clark <[email-masked]>
Date: Wed, 18 Dec 1996 19:14:16 +0000 ( )

I have a wavefunction written in terms of spherical gaussian primitives 
and I would like to rewrite it in terms of cartesian gaussians.  As you 
would expect, I'm having no problem with s-type and p-type primitives but 
I'm already having trouble keeping the wavefunction normalized when using 
a d-shell of primitives.  

	To be more specific, it is writing the 2z^2-x^2-y^2 and x^2-y^2 
primitives as x^2, y^2, and z^2 primitives that I think I'm having 
trouble with.  I believe that the coefficients of the matrix for this 
transformation are not simply 1's, -1's, and 2's but probably involve 
some sort of compensation for overlap between the x^2, y^2, and z^2 
functions and differences in normalization schemes between the spherical 
gaussian and cartesian gaussian sets.  

	Anyway, I was hoping that someone may be routinely performing 
this task and could take a minute to give me the relevant formulae.
				Cheers, JIM